attrib -r *.*
rem inputs are: national.har regsupp.har comxx.agg regxx.agg [premod.cmf lists AGG files]
del national.har
del regsupp.har
rem copy indo49.har national.har
rem copy supp49.har regsupp.har
rem   below for alternative bigger model
copy indo80.har national.har
copy supp80.har regsupp.har


del *.gs?
del *.log
del *.inf

rem goto skipto

call compile reg00
if errorlevel 1 goto error
reg00 -cmf reg00.cmf >rn00.log
if errorlevel 1 goto error

call compile reg10
if errorlevel 1 goto error
reg10 -cmf reg10.cmf >rn10.log
if errorlevel 1 goto error

call compile reg20
if errorlevel 1 goto error
reg20 -cmf reg20.cmf >rn20.log
if errorlevel 1 goto error

rem GOTO ENDBAT

del rastrd.HAR
call compile rastrd
if errorlevel 1 goto error
rastrd -cmf rastrd.cmf >rnrastrd.log
if errorlevel 1 goto error

del regmod.HAR
call compile premod
if errorlevel 1 goto error
premod -cmf premod.cmf >rnpremod.log
if errorlevel 1 goto error

:skipto

call compile chkmod
if errorlevel 1 goto error
chkmod -cmf chkmda.cmf >rnchkmda.log
if errorlevel 1 goto error

del aggmod.har
agghar regmod.har aggmod.har aggsupp.har >agghar.log
if errorlevel 1 goto error

call compile chkmod
if errorlevel 1 goto error
chkmod -cmf chkmdb.cmf >rnchkmdb.log
if errorlevel 1 goto error

dir/od *.har


echo BATCH JOB SUCCESSFUL
goto endbat
:error
echo off
echo ###### ERROR: BATCH JOB FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
echo CTRL-C to exit
pause
:endbat

